Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger
Interface DebuggerManagerListener

All Superinterfaces:
  EventListener, PropertyChangeListener

All Known Subinterfaces:
  LazyDebuggerManagerListener

All Known Implementing Classes:
  DebuggerManagerAdapter

    public interface DebuggerManagerListener

extends PropertyChangeListener

This listener notifies about changes in the `DebuggerManager` - breakpoints, watches and sessions.

Method Summary
`void` | `breakpointAdded(Breakpoint breakpoint)` Called when some breakpoint is added.
`void` | `breakpointRemoved(Breakpoint breakpoint)` Called when some breakpoint is removed.
`void` | `engineAdded(DebuggerEngine engine)` Called when some engine is added.
`void` | `engineRemoved(DebuggerEngine engine)` Called when some engine is removed.
`Breakpoint[]` | `initBreakpoints()` Called when set of breakpoints is initialized.
`void` | `initWatches()` Called when set of watches is initialized.
`void` | `sessionAdded(Session session)` Called when some session is added.
`void` | `sessionRemoved(Session session)` Called when some session is removed.
`void` | `watchAdded(Watch watch)` Called when some watch is added.
`void` | `watchRemoved(Watch watch)` Called when some watch is removed.

Methods inherited from interface java.beans.PropertyChangeListener
`propertyChange`

Method Detail

### initBreakpoints

    Breakpoint[] initBreakpoints()

  Called when set of breakpoints is initialized.

  Returns:
    initial set of breakpoints

### breakpointAdded

    void breakpointAdded(Breakpoint breakpoint)

  Called when some breakpoint is added.

  Parameters:
    `breakpoint` - a new breakpoint

### breakpointRemoved

    void breakpointRemoved(Breakpoint breakpoint)

  Called when some breakpoint is removed.

  Parameters:
    `breakpoint` - removed breakpoint

### initWatches

    void initWatches()

  Called when set of watches is initialized.

### watchAdded

    void watchAdded(Watch watch)

  Called when some watch is added.

  Parameters:
    `watch` - a new watch

### watchRemoved

    void watchRemoved(Watch watch)

  Called when some watch is removed.

  Parameters:
    `watch` - removed watch

### sessionAdded

    void sessionAdded(Session session)

  Called when some session is added.

  Parameters:
    `session` - a new session

### sessionRemoved

    void sessionRemoved(Session session)

  Called when some session is removed.

  Parameters:
    `session` - removed session

### engineAdded

    void engineAdded(DebuggerEngine engine)

  Called when some engine is added.

  Parameters:
    `engine` - a new engine

### engineRemoved

    void engineRemoved(DebuggerEngine engine)

  Called when some engine is removed.

  Parameters:
    `engine` - removed engine

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.